package com.fzm.mall.server.front.order.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class OrderBlindBoxVo {

    private static final long serialVersionUID = 1L;

    /**
     * 是否直接提货，1->是
     */
    public static final Integer DELIVERY_IMMEDIATELY = 1;

    @ApiModelProperty(value = "是否直接提货，0->否，1->是", required = true)
    private Integer delivery;

    @ApiModelProperty(value = "收货人名称")
    private String uname;

    @ApiModelProperty(value = "收人手机号")
    private String phone;

    @ApiModelProperty(value = "提货地址")
    private String address;

    @ApiModelProperty(value = "省份名字或直辖市")
    private String province;

    @ApiModelProperty(value = "盲盒商品id", required = true)
    private String goodsId;

    @ApiModelProperty(value = "用于抵扣的积分的名称")
    private String coin;

    @ApiModelProperty(value = "用于抵扣的积分的数量")
    private BigDecimal coinNumber;

    @ApiModelProperty(value = "备注")
    private String vNote;

    @ApiModelProperty(value = "优惠券列表")
    private List<String> goodsIdCouponIdList;
}
